> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describeloadbalancers.md).

# DescribeLoadBalancers

## 1. API Description

This API (DescribeLoadBalancers) is used to query the information of one or more specified load balancing instances. Users can search for load balancer information based on the ID of the load balancer, the zone, and other information.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name   | Required | Type                                                            | Description                                                                                              |
| ---------------- | -------- | --------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------- |
| loadBalancerIds  | No       | Array of String                                                 | ID list of the load balance instance.                                                                    |
| zoneId           | No       | String                                                          | Zone ID.                                                                                                 |
| loadBalancerName | No       | String                                                          | <p>The name of the load balancer instance.</p><p>Fuzzy search supported.</p>                             |
| pageNum          | No       | Integer                                                         | <p>Number of pages returned.</p><p>Default value: 1 .</p><p>Default value: 1</p>                         |
| pageSize         | No       | Integer                                                         | <p>Number of items in the current page result.</p><p>Default value: 20 ;</p><p>Maximum value: 1000 .</p> |
| resourceGroupId  | No       | String                                                          | The ID of the resource group.                                                                            |
| tagKeys          | No       | Array of String                                                 | <p>Query according to tag key.</p><p>You can query up to 20 tag keys in each request.</p>                |
| tags             | No       | Array of [Tag](/api-reference/compute/bmc/datastructure.md#tag) | <p>Query according to tag.</p><p>You can query up to 20 tags in each request.</p>                        |

## 3. Output Parameters

| Parameter Name | Type                                                                                      | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                    | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| totalCount     | Integer                                                                                   | The total number of load balancers that meet the filtering conditions.                                                |
| dataSet        | Array of [LoadBalancerInfo](/api-reference/compute/bmc/datastructure.md#loadbalancerinfo) | Load balancer set.                                                                                                    |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the information of the load balancer instance by ID.**

```json
POST /api/v2/bmc HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeLoadBalancers
<Common Request Params>

Request:
{
  "loadBalancerIds": ["xxxx"]
}

Response:
{
  "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
  "response": {
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "totalCount": 10,
    "dataSet": [
      {
        "loadBalancerId": "xxx",
        "zoneId": "AMS-A",
        "loadBalancerName": "xxx",
        "specName": "xxx",
        "chargeType": "POSTPAID",
        "createTime": "",
        "status": "RUNNING",
        "resourceGroupId": "xxx",
        "resourceGroupName": "xxx",
        "masterIp": "xxxx",
        "salveIp": "xxx",
        "ipType": "IPv4"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/bmc/load-balancing/describeloadbalancers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
